Method: projects.locations.aclPolicies.patch

Updates the ACL policy.

The operation will apply the updated ACL policy to all the linked instances. The operation will return success if it successfully applied the policy to all the instances. If the operation completed with a failure, the service will continue to apply the policy via reconciliation for the failed instances even after operation completion to ensure eventual consistency.

Completed longrunning.Operation will contain the new ACL policy object in the response field.

HTTP request


PATCH https://memorystore.googleapis.com/v1alpha/{aclPolicy.name=projects/*/locations/*/aclPolicies/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
aclPolicy.name

string

Identifier. Full resource path of the ACL policy.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Mask of fields to be updated. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from AclPolicy:

  • rules

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. Idempotent request UUID.

Request body

The request body contains an instance of AclPolicy.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM Permissions

Requires the following IAM permission on the name resource:

  • memorystore.aclPolicies.update

For more information, see the IAM documentation.